package cn.com.ctop.finance.payment.service.impl;

import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeAccount;
import cn.com.ctop.finance.payment.mapper.FinancePaymentRechargeAccountMapper;
import cn.com.ctop.finance.payment.service.IFinancePaymentRechargeAccountService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 充值账户表
 *
 * @author jeecg-boot
 * 2023-04-13
 * @version V1.0
 */
@Service
public class FinancePaymentRechargeAccountServiceImpl extends ServiceImpl<FinancePaymentRechargeAccountMapper, FinancePaymentRechargeAccount> implements IFinancePaymentRechargeAccountService {

    @Override
    public void delByRechargeId(Long rechargeId) {
        baseMapper.delByRechargeId(rechargeId);
    }

    @Override
    public JSONObject queryAmounts(Long rechargeId) {
        return baseMapper.queryAmounts(rechargeId);
    }

    @Override
    public List<FinancePaymentRechargeAccount> queryByRechargeId(Long rechargeId) {
        return baseMapper.queryByRechargeId(rechargeId);
    }
}
